package com.hzya.frame.sys.databaseNames.dao;

import com.hzya.frame.sys.databaseNames.entity.DatabaseNames;
import java.util.List;

/**
 * @description: 数据库表名表  dao
 * @tableName: sys_database_names 
 * @entityName: DatabaseNames
 * @author: gjh
 * @history: 1.0
 */
public interface IDatabaseNamesMapper {

        //通过ID获取数据    entity_get
        DatabaseNames entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<DatabaseNames> entity_list_base(DatabaseNames entity);

        //  查询符合条件的数量
        Integer entity_count(DatabaseNames entity);

        //分页查询列表 采用like格式 entity_list_like
        List<DatabaseNames> entity_list_like(DatabaseNames entity);

        //查询列表 字段采用or格式   entity_list_or
        List<DatabaseNames> entity_list_or(DatabaseNames entity);

        //新增  entity_insert
        Integer entity_insert(DatabaseNames entity);

        //修改  entity_update
        Integer entity_update(DatabaseNames entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(DatabaseNames entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(DatabaseNames entity);

        //物理删除
        Integer entity_delete(DatabaseNames entity);


}
